package com.phidgets;

import com.phidgets.event.InputChangeListener;
import com.phidgets.event.OutputChangeListener;
import com.phidgets.event.SensorChangeListener;

/**
 * Interface for InterfaceKitPhidget class.
 */
interface IInterfaceKitPhidget extends IPhidget {

    int getOutputCount() throws PhidgetException;

    int getInputCount() throws PhidgetException;

    int getSensorCount() throws PhidgetException;

    int getDataRateMin(int i) throws PhidgetException;

    int getDataRateMax(int i) throws PhidgetException;

    boolean getInputState(int i) throws PhidgetException;

    boolean getOutputState(int i) throws PhidgetException;

    int getSensorValue(int i) throws PhidgetException;

    int getSensorRawValue(int i) throws PhidgetException;

    int getSensorChangeTrigger(int i) throws PhidgetException;

    int getDataRate(int i) throws PhidgetException;

    boolean getRatiometric() throws PhidgetException;

    void setOutputState(int i, boolean b) throws PhidgetException;

    void setSensorChangeTrigger(int i, int i1) throws PhidgetException;

    void setDataRate(int i, int i1) throws PhidgetException;

    void setRatiometric(boolean b) throws PhidgetException;

    void addInputChangeListener(InputChangeListener inputChangeListener);

    void removeInputChangeListener(InputChangeListener inputChangeListener);

    void addOutputChangeListener(OutputChangeListener outputChangeListener);

    void removeOutputChangeListener(OutputChangeListener outputChangeListener);

    void addSensorChangeListener(SensorChangeListener sensorChangeListener);

    void removeSensorChangeListener(SensorChangeListener sensorChangeListener);

}
