package com.phidgets;

import com.phidgets.event.AttachListener;
import com.phidgets.event.DetachListener;
import com.phidgets.event.ErrorListener;
import com.phidgets.event.ServerConnectListener;
import com.phidgets.event.ServerDisconnectListener;

/**
 * Interface for Phidget class.
 */
 interface IPhidget {

     java.lang.String getLibraryVersion();

     void enableLogging(int i, java.lang.String s);

     void disableLogging();

     void log(int i, java.lang.String s, java.lang.String s1);

     int getDeviceID() throws PhidgetException;

     int getDeviceClass() throws PhidgetException;

     int getSerialNumber() throws PhidgetException;

     int getDeviceVersion() throws PhidgetException;

     java.lang.String getDeviceType() throws PhidgetException;

     java.lang.String getDeviceName() throws PhidgetException;

     boolean isAttached() throws PhidgetException;

     boolean isAttachedToServer() throws PhidgetException;

     java.lang.String getDeviceLabel() throws PhidgetException;

     void setDeviceLabel(java.lang.String s) throws PhidgetException;

     java.lang.String getServerAddress() throws PhidgetException;

     java.lang.String getServerID() throws PhidgetException;

     int getServerPort() throws PhidgetException;

     void open(int i) throws PhidgetException;

     void open(int i, java.lang.String s, int i1) throws PhidgetException;

     void open(int i, java.lang.String s, int i1, java.lang.String s1) throws PhidgetException;

     void open(int i, java.lang.String s) throws PhidgetException;

     void open(int i, java.lang.String s, java.lang.String s1) throws PhidgetException;

     void openAny() throws PhidgetException;

     void openAny(java.lang.String s, int i) throws PhidgetException;

     void openAny(java.lang.String s, int i, java.lang.String s1) throws PhidgetException;

     void openAny(java.lang.String s) throws PhidgetException;

     void openAny(java.lang.String s, java.lang.String s1) throws PhidgetException;

     void openLabel(java.lang.String s) throws PhidgetException;

     void openLabel(java.lang.String s, java.lang.String s1, int i) throws PhidgetException;

     void openLabel(java.lang.String s, java.lang.String s1, int i, java.lang.String s2) throws PhidgetException;

     void openLabel(java.lang.String s, java.lang.String s1) throws PhidgetException;

     void openLabel(java.lang.String s, java.lang.String s1, java.lang.String s2) throws PhidgetException;

     void close() throws PhidgetException;

     void waitForAttachment(int i) throws PhidgetException;

     void waitForAttachment() throws PhidgetException;

     void addAttachListener(AttachListener attachListener);

     void removeAttachListener(AttachListener attachListener);

     void addErrorListener(ErrorListener errorListener);

     void removeErrorListener(ErrorListener errorListener);

     void addDetachListener(DetachListener detachListener);

     void removeDetachListener(DetachListener detachListener);

     void addServerConnectListener(ServerConnectListener serverConnectListener);

     void removeServerConnectListener(ServerConnectListener serverConnectListener);

     void addServerDisconnectListener(ServerDisconnectListener serverDisconnectListener);

     void removeServerDisconnectListener(ServerDisconnectListener serverDisconnectListener);

     java.lang.String toString();

     boolean equals(java.lang.Object o);
}
